> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Create project baseline

> POST /company/{companyId}/project/{projectId}/project-baselines



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **companyId** (string)



### Body: application/json (object)

- **name** (string)

- **description** (string)

- **baseScheduleId** (integer(int64))

- **activityIds** (array[integer(int64)])

- **ruleIds** (array[integer(int64)])

- **scenarioConfiguration** (object)

- **requester** (string)

- **requesterCompanyName** (string)

- **makePrimary** (boolean)



## Responses
### 200
OK


[Powered by Bump.sh](https://bump.sh)
